像素

GET https://xlin.cc/api/pixels/
curl --request GET \
--url 'https://xlin.cc/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
参数 详细信息 描述
search 可选 字符串 搜索字符串。
search_by 可选 字符串 您正在搜索哪个字段。允许的值是:name, pixel
type 可选 字符串 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field 可选 字符串 允许的值:datetime, last_datetime
datetime_start 可选 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选 字符串 按哪个字段对结果进行排序。允许的值是:pixel_id, datetime, last_datetime, name
order_type 可选 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选 整数 您想要结果的页码。默认为1
results_per_page 可选 整数 每页您想要多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为25
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-04-27 15:20:49",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://xlin.cc/api/pixels?page=1",
        "last": "https://xlin.cc/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://xlin.cc/api/pixels?page=1"
    }
}
GET https://xlin.cc/api/pixels/{pixel_id}
curl --request GET \
--url 'https://xlin.cc/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-04-27 15:20:49",
    }
}
POST https://xlin.cc/api/pixels
参数 详细信息 描述
type 必需 字符串 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name 必需 字符串 -
pixel 必需 字符串 -
curl --request POST \
--url 'https://xlin.cc/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://xlin.cc/api/pixels/{pixel_id}
参数 详细信息 描述
type 可选 字符串 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name 可选 字符串 -
pixel 可选 字符串 -
curl --request POST \
--url 'https://xlin.cc/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://xlin.cc/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://xlin.cc/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \